Make Blocks API Version Configurable

Description

The blocks API (/api/courses/[apiVersion]/blocks/) version has updated from v1 to v2 for gated content. The open source community uses different version of edX servers which may or may not updated with the new API versions so we decided to make the API version configurable in our mobile apps, If the version is mention then API would call with that version otherwise the default value will be use.

Format:

Steps to Reproduce

None

Current Behavior

None

Expected Behavior

None

Reason for Variance

None

Release Notes

None

User Impact Summary

None

Status

Assignee

Salman Nawaz

Reporter

Salman Nawaz

Labels

None

Reach

None

Impact

None

Platform Area

Learner Experience - Mobile App: Course Content

Customer

None

Partner Manager

None

URL

None

Contributor Name

None

Groups with Read-Only Access

None

Actual Points

None

Category of Work

None

Platform Map Area (Levels 1 & 2)

None

Platform Map Area (Levels 3 & 4)

None

Story Points

0.5

Components

Sprint

None

Priority

Unset
Configure